explain_setsid_or_die(3)

NAME
explain_setsid_or_die - sets process group ID and report errors

SYNOPSIS
#include <libexplain/setsid.h>

pid_t explain_setsid_or_die(void);
pid_t explain_setsid_on_error(void);

DESCRIPTION
The explain_setsid_or_die function is used to call the setsid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setsid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setsid_on_error function is used to call the setsid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setsid(3) function, but still returns to the caller.

RETURN VALUE
The explain_setsid_or_die function only returns on success, see setsid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setsid_on_error function always returns the value return by the wrapped setsid(2) system call.

EXAMPLE
The explain_setsid_or_die function is intended to be used in a fashion similar to the following example:
    explain_setsid_or_die();

SEE ALSO

setsid(2)
    creates a session and sets the process group ID

explain_setsid(3)
    explain setsid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2011 Peter Miller